package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ManagerOrderVo", description="工单管理分页条件类")
public class ManagerOrderVo {

    @ApiModelProperty(name = "userId",value = "管理员id")
    private Integer userId;

    @ApiModelProperty(name = "projectId",value = "项目id")
    private Integer projectId;

    @ApiModelProperty(name = "startTime",value = "开始时间")
    private Date startTime;

    @ApiModelProperty(name = "endTime",value = "结束时间")
    private Date endTime;

    @ApiModelProperty(name = "page",value = "当前页码")
    private Integer page;

    @ApiModelProperty(name = "pageSize",value = "每页记录数")
    private Integer pageSize;
}
